<?php

namespace FiloBlu\Cegid\Model\Channel\In;

use Exception;
use FiloBlu\Flow\Model\Channel\In\AbstractModel;

/**
 * Class CegidSeller
 * @package FiloBlu\Cegid\Model\Channel
 */
class CegidSeller extends AbstractModel
{
    /**
     * @param $channelName
     * @return $this|AbstractModel
     * @throws Exception
     */
    public function load($channelName)
    {
        $this->init($channelName);
        return $this;
    }

    /**
     * @param $data
     * @return bool
     * @throws Exception
     */
    public function insertData($data)
    {
        $flow = $this->getFile()->getData('flow');
        $model = $this->objectManager->create("FiloBlu\Flow\Model\\{$flow}");

        $seller = $model->load($data['cegid_id'], 'cegid_id');

        foreach ($data as $key => $value) {
            $seller->set($key, $value);
        }

        $model->setData('meta_file', $this->getFile()->getId());
        $model->setData('meta_processed', 1);
        $model->setData('meta_process_time', date('Y-m-d H:i:s'));
        $model->setData('meta_insert_time', date('Y-m-d H:i:s'));

        $model->save();
    }

}